:root {
  --maxWidth: 1280px;
  --mainColor: #119F93;
}
.background {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}
#friend_share {
  color: #020202;
  line-height: 1.4;
}
#friend_share .inner {
  width: var(--maxWidth);
  margin: 0 auto;
}
#friend_share .banner img {
  height: 456px;
  width: 100%;
  object-position: center;
  object-fit: cover;
  display: block;
}
#friend_share .main {
  padding-top: 80px;
}
#friend_share .main .inner {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#friend_share .main_title {
  font-size: 40px;
  font-weight: 600;
  background: linear-gradient(277deg, #4fe8e7 0%, #0088fa 100%);
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  color: transparent;
  display: flex;
  align-items: center;
  margin-bottom: 40px;
}
#friend_share .main_title::before,
#friend_share .main_title::after {
  content: '';
  width: 28px;
  height: 18px;
  background-image: url('../image/friend_share/title-arrow.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin: 0 30px;
}
#friend_share .main_title::before {
  transform: rotate(180deg);
}
#friend_share .main_join a {
  font-size: 24px;
  line-height: 62px;
  width: 228px;
  text-align: center;
  color: #fff;
  background: linear-gradient(130deg, #f8611c 0%, #f23585 100%);
  border-radius: 32px;
  display: block;
  transition: opacity 0.4s;
}
#friend_share .main_join a:hover {
  opacity: 0.85;
}
#friend_share .main_step_title {
  font-size: 36px;
  font-weight: 600;
  margin-bottom: 52px;
  margin-top: 80px;
}
#friend_share .main_step {
  display: flex;
  align-items: center;
  margin-bottom: 25px;
}
#friend_share .main_step_item {
  width: 368px;
  height: 124px;
  background-image: url('../image/friend_share/step-bg.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding-top: 31px;
  padding-left: 54px;
  position: relative;
  box-shadow: 0 8px 12px #FFF2F2;
}
#friend_share .main_step_item .div_h-1 {
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 6px;
}
#friend_share .main_step_item .div_h-2 {
  font-size: 16px;
  color: #858586;
}
#friend_share .main_step_item::before {
  content: attr(step);
  position: absolute;
  font-size: 48px;
  font-weight: 600;
  background: linear-gradient(174deg, #f8611c 0%, #f23585 100%);
  color: transparent;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  top: 10px;
  left: 14px;
}
#friend_share .main_step_arrow {
  width: 30px;
  height: 30px;
  background-color: #FFDBE3;
  clip-path: polygon(0 0, 100% 50%, 0 100%);
  margin: 0 30px;
}
#friend_share .main_share {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#friend_share .main_share_dot {
  display: flex;
  align-items: center;
  color: #fff;
  letter-spacing: 4px;
  width: 0;
  white-space: nowrap;
  overflow: visible;
  justify-content: center;
  padding-bottom: 36px;
  font-size: 16px;
}
#friend_share .main_share_dot::before,
#friend_share .main_share_dot::after {
  content: '●●';
  font-size: 10px;
  transform: translateY(1px);
}
#friend_share .main_share[method] {
  width: 988px;
  position: relative;
  overflow: hidden;
  background-size: cover;
  background-repeat: no-repeat;
  color: #1B234E;
}
#friend_share .main_share[method]::before {
  color: #fff;
  position: absolute;
  top: 0;
  left: 12px;
  width: 120px;
  text-align: center;
  line-height: 44px;
}
#friend_share .main_share[method=wechat] {
  height: 182px;
  background-image: url('/static_browser/home/image/friend_share/method1.png');
  padding: 12px 52px 26px 0;
}
#friend_share .main_share[method=wechat]::before {
  content: '方式一';
}
#friend_share .main_share[method=wechat] .main_share_content {
  width: 100%;
  display: flex;
  padding-left: 58px;
  justify-content: space-between;
}
#friend_share .main_share[method=wechat] .main_share_btns {
  flex-direction: column;
  gap: 16px;
}
#friend_share .main_share[method=wechat] .main_share_step {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#friend_share .main_share[method=wechat] .main_share_step img {
  width: 58px;
  height: 58px;
  margin-bottom: 8px;
}
#friend_share .main_share[method=wechat] .main_share_step::after {
  content: attr(label);
}
#friend_share .main_share[method=code] {
  flex-direction: row;
  align-items: center;
  margin-top: 28px;
  height: 106px;
  background-image: url('/static_browser/home/image/friend_share/method2.png?t=1749605590510');
  padding: 12px 52px 12px 160px;
}
#friend_share .main_share[method=code]::before {
  content: '方式二';
}
#friend_share .main_share[method=link] {
  flex-direction: row;
  align-items: center;
  margin-top: 28px;
  height: 106px;
  background-image: url('/static_browser/home/image/friend_share/method3.png');
  padding: 12px 52px 12px 160px;
}
#friend_share .main_share[method=link]::before {
  content: '方式三';
}
#friend_share .main_share > input {
  line-height: 48px;
  border: 1px solid #D8DBE3;
  border-radius: 5px;
  width: 669px;
  padding: 0 12px;
  font-size: 16px;
}
#friend_share .main_share_btns {
  display: flex;
  align-items: center;
  gap: 24px;
}
#friend_share .main_share_btns a {
  background: linear-gradient(138deg, #f8611c 0%, #f23585 100%);
  border-radius: 5px;
  color: #fff;
  line-height: 42px;
  width: 138px;
  text-align: center;
  overflow: hidden;
  position: relative;
}
#friend_share .main_share_btns a:nth-child(2)::before {
  width: 136px;
  line-height: 40px;
  text-align: center;
  content: attr(label);
  background-color: #fff;
  z-index: 0;
  position: absolute;
  top: 1px;
  left: 1px;
  border-radius: 5px;
}
#friend_share .main_share_btns a:nth-child(2)::after {
  content: attr(label);
  color: transparent;
  background-image: linear-gradient(138deg, #f8611c 0%, #f23585 100%);
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  position: relative;
  z-index: 1;
}
#friend_share .main_share_count {
  display: flex;
  align-items: center;
  margin-top: 35px;
}
#friend_share .main_share_count_item {
  width: 229px;
  padding-top: 13px;
  padding-left: 23px;
  padding-bottom: 9px;
  border-radius: 8px;
  margin: 0 12px;
  display: flex;
}
#friend_share .main_share_count_item[type=coupon] {
  background-color: #FFF6EC;
}
#friend_share .main_share_count_item[type=share] {
  background-color: #ECF5FF;
}
#friend_share .main_share_count_item img {
  width: 36px;
  height: 36px;
  margin-right: 15px;
}
#friend_share .main_share_count_item p {
  font-size: 16px;
  line-height: 36px;
}
#friend_share .main_share_count_item .div_h-1 {
  font-size: 16px;
}
#friend_share .main_share_count_item .div_h-1 span {
  font-size: 40px;
}
#friend_share .main_share_log {
  margin-top: 32px;
  position: relative;
  width: var(--maxWidth);
}
#friend_share .main_share_log img {
  width: 100%;
  position: absolute;
  top: 0;
  z-index: -1;
}
#friend_share .main_share_log_title {
  font-size: 24px;
  display: flex;
  align-items: center;
  margin-bottom: 13px;
  margin-top: 49px;
}
#friend_share .main_share_log_title::before,
#friend_share .main_share_log_title::after {
  content: '';
  width: 28px;
  height: 18px;
  background-image: url('../image/friend_share/title-arrow.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin: 0 30px;
}
#friend_share .main_share_log_title::before {
  transform: rotate(180deg);
}
#friend_share .main_share_log_table {
  width: calc(100% - 72px);
  margin: 0 auto;
  border: 1px solid #D8DBE3;
  max-height: 552px;
  overflow: auto;
  position: relative;
  min-height: 357px;
}
#friend_share .main_share_log_table table {
  width: 100%;
}
#friend_share .main_share_log_table thead {
  position: sticky;
  top: 0;
}
#friend_share .main_share_log_table thead th {
  line-height: 49px;
  height: 50px;
  background-color: #F7FBFF;
  font-size: 16px;
  font-weight: 400;
  position: relative;
}
#friend_share .main_share_log_table thead th::after {
  content: '';
  position: absolute;
  bottom: 0;
  border-top: 1px solid #D8DBE3;
  width: 100%;
  left: 0;
}
#friend_share .main_share_log_table tbody td {
  background-color: #fff;
}
#friend_share .main_share_log_table tbody td span {
  min-height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 0;
  font-size: 14px;
}
#friend_share .main_share_log_table tbody tr:not(:nth-child(1)) td {
  border-top: 1px solid #D8DBE3;
}
#friend_share .main_share_log_table tbody tr:nth-child(1) td,
#friend_share .main_share_log_table tbody tr:nth-child(2) td,
#friend_share .main_share_log_table tbody tr:nth-child(3) td,
#friend_share .main_share_log_table tbody tr:nth-child(4) td,
#friend_share .main_share_log_table tbody tr:nth-child(5) td {
  border-bottom: 1px solid #D8DBE3;
}
#friend_share .rule {
  padding-top: 109px;
  position: relative;
  padding-bottom: 80px;
}
#friend_share .rule > img {
  position: absolute;
  top: 0;
  width: 100%;
  left: 0;
  height: 383px;
  object-fit: cover;
  object-position: center;
  z-index: -1;
}
#friend_share .rule_title {
  font-size: 36px;
  font-weight: 600;
  padding-left: 172px;
  margin-bottom: 81px;
}
#friend_share .rule_item {
  margin-bottom: 14px;
}
#friend_share .rule_item_wrapper {
  background-color: #F7FBFF;
  height: 54px;
  border: 1px solid #F7FBFF;
  display: flex;
  align-items: center;
  padding-left: 25px;
  font-size: 18px;
  font-weight: 600;
  transition: all 0.4s;
  cursor: pointer;
}
#friend_share .rule_item_wrapper:hover,
#friend_share .rule_item_wrapper.opened {
  border-color: #DBEFFF;
}
#friend_share .rule_item_wrapper::after {
  content: '';
  width: 16px;
  height: 17px;
  background-image: url('../image/friend_share/rule-arrow.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin-left: 13px;
  transition: all 0.4s;
  transform: rotate(180deg);
}
#friend_share .rule_item_wrapper.opened::after {
  transform: rotate(0deg);
}
#friend_share .rule_item_wrapper.opened + .rule_item_contain {
  padding-top: 4px;
  opacity: 1;
}
#friend_share .rule_item_wrapper.opened + .rule_item_contain p {
  line-height: 1.4;
  min-height: 23px;
  margin-top: 10px;
  height: max-content;
}
#friend_share .rule_item_wrapper.opened + .rule_item_contain p em {
  line-height: 30px;
}
#friend_share .rule_item_contain {
  padding: 0 25px 0;
  transition: all 0.4s;
  opacity: 0;
}
#friend_share .rule_item_contain p {
  font-size: 16px;
  display: flex;
  align-items: center;
  margin-top: 0;
  overflow: hidden;
  line-height: 0;
  min-height: 0;
  height: 0;
  transition: all 0.4s;
  flex-wrap: wrap;
}
#friend_share .rule_item_contain p span {
  font-weight: 600;
  display: inline-flex;
  align-items: center;
}
#friend_share .rule_item_contain p span::before {
  content: '';
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #0088FA;
  margin-right: 9px;
}
#friend_share .rule_item_contain p em {
  text-indent: 52px;
  line-height: 0;
  display: block;
  width: 100%;
}
#friend_share .rule_item_contain p a {
  color: #0088FA;
  text-decoration: underline;
}
.chose_poster {
  height: 600px;
  opacity: 0;
  transition: opacity 0.5s;
}
.chose_poster img {
  width: 300px;
  height: 600px;
  object-fit: contain;
  object-position: center;
}
.swiper-container-horizontal > .swiper-pagination-bullets,
.swiper-pagination-custom,
.swiper-pagination-fraction {
  bottom: 0;
}
.swiper-slide {
  opacity: 0.5;
  transform: scale(0.8);
  transition: all 0.4s;
}
.swiper-slide.swiper-slide-active {
  opacity: 1;
  transform: scale(1);
}
.guide-btn div {
  display: none;
}
.guide-btn:hover div {
  display: block;
}
